using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GWSocketClient.xml.dataItem
{
    class DataElementType
    {
        public int flag;
        public int num;
        public int isPT;
        public List<DataType> data = new List<DataType>();


        public override string ToString()
        {
            return "flag=" + flag + ",num=" + num + ",isPT" + isPT + ",dataCount=" + data.Count;
        }
    }

    class DataElementTypeComparer : IComparer<DataElementType>
    {
        public int Compare(DataElementType x, DataElementType y)
        {
            return x.flag.CompareTo(y.flag);
        }
    }
}